DOM::HTMLSelectElement Class Reference

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLSelectElement:

## Public Member Functions

| HTMLSelectElement (const HTMLSelectElement &other)
| HTMLSelectElement (const Node &other)
HTMLSelectElement & | operator= (const HTMLSelectElement &other)
HTMLSelectElement & | operator= (const Node &other)
DOMString | type () const
long | selectedIndex () const
void | setSelectedIndex (long)
DOMString | value () const
void | setValue (const DOMString &)
long | length () const
HTMLFormElement | form () const
HTMLCollection | options () const
bool | disabled () const
void | setDisabled (bool)
bool | multiple () const
void | setMultiple (bool)
DOMString | name () const
void | setName (const DOMString &)
long | size () const
void | setSize (long)
long | tabIndex () const
void | setTabIndex (long)
void | add (const HTMLElement &element, const HTMLElement &before)
void | remove (long index)
void | blur ()
void | focus ()
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLSelectElement (HTMLSelectElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The select element allows the selection of an option.

The contained options can be directly accessed through the select element as a collection. See the SELECT element definition in HTML 4.0.

Definition at line 878 of file html_form.h.

## Member Function Documentation

void HTMLSelectElement::add | ( | const HTMLElement & | element,
|  | const HTMLElement & | before
| ) |  |

Add a new element to the collection of `OPTION` elements for this `SELECT` .

Parameters

  element | The element to add.
  before | The element to insert before, or 0 for the tail of the list.

Definition at line 917 of file html_form.cpp.

void HTMLSelectElement::blur | ( |  | ) |

Removes keyboard focus from this element.

Definition at line 933 of file html_form.cpp.

bool HTMLSelectElement::disabled | ( |  | ) | const

The control is unavailable in this context.

See the disabled attribute definition in HTML 4.0.

Definition at line 856 of file html_form.cpp.

void HTMLSelectElement::focus | ( |  | ) |

Gives keyboard focus to this element.

Definition at line 939 of file html_form.cpp.

HTMLFormElement HTMLSelectElement::form | ( |  | ) | const

### KDE 4.0: remove.

Definition at line 845 of file html_form.cpp.

long HTMLSelectElement::length | ( |  | ) | const

The number of options in this `SELECT` .

Definition at line 839 of file html_form.cpp.

bool HTMLSelectElement::multiple | ( |  | ) | const

If true, multiple `OPTION` elements may be selected in this `SELECT` .

See the multiple attribute definition in HTML 4.0.

Definition at line 868 of file html_form.cpp.

DOMString HTMLSelectElement::name | ( |  | ) | const

Form control or object name when submitted with a form.

See the name attribute definition in HTML 4.0.

Definition at line 879 of file html_form.cpp.

HTMLCollection HTMLSelectElement::options | ( |  | ) | const

The collection of `OPTION` elements contained by this element.

Definition at line 850 of file html_form.cpp.

void HTMLSelectElement::remove | ( | long | index | ) |

Remove an element from the collection of `OPTION` elements for this `SELECT` .

Does nothing if no element has the given index.

Parameters

  index | The index of the item to remove.

Definition at line 928 of file html_form.cpp.

long HTMLSelectElement::selectedIndex | ( |  | ) | const

The ordinal index of the selected option.

The value -1 is returned if no element is selected. If multiple options are selected, the index of the first selected option is returned.

Definition at line 815 of file html_form.cpp.

void HTMLSelectElement::setDisabled | ( | bool | _disabled | ) |

see disabled

Definition at line 862 of file html_form.cpp.

void HTMLSelectElement::setMultiple | ( | bool | _multiple | ) |

see multiple

Definition at line 874 of file html_form.cpp.

void HTMLSelectElement::setName | ( | const DOMString & | value | ) |

see name

Definition at line 885 of file html_form.cpp.

void HTMLSelectElement::setSelectedIndex | ( | long | _selectedIndex | ) |

see selectedIndex

Definition at line 821 of file html_form.cpp.

void HTMLSelectElement::setSize | ( | long | _size | ) |

see size

Definition at line 896 of file html_form.cpp.

void HTMLSelectElement::setTabIndex | ( | long | _tabIndex | ) |

see tabIndex

Definition at line 911 of file html_form.cpp.

void HTMLSelectElement::setValue | ( | const DOMString & | value | ) |

see value

Definition at line 833 of file html_form.cpp.

long HTMLSelectElement::size | ( |  | ) | const

Number of visible rows.

See the size attribute definition in HTML 4.0.

Definition at line 890 of file html_form.cpp.

long HTMLSelectElement::tabIndex | ( |  | ) | const

Index that represents the element's position in the tabbing order.

See the tabindex attribute definition in HTML 4.0.

Definition at line 905 of file html_form.cpp.

DOMString HTMLSelectElement::type | ( |  | ) | const

The type of control created.

Definition at line 809 of file html_form.cpp.

DOMString HTMLSelectElement::value | ( |  | ) | const

The current form control value.

Definition at line 827 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys